List

Lists devices with filtering, sorting, and pagination. Use org_scope to restrict to owned, shared, or both (default). | authz: min_org_role=operator | () -> (DeviceListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by
Allowed values:
sort_orderenumOptional

Sort order (asc or desc)

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstringOptional

Full-text search query

org_scopeenumOptional

Filter by org ownership: owned, shared, or owned_and_shared

Allowed values:
filter_off_chrt_reference_idstringOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters

Filter by off-CHRT reference ID (exact match)

filter_typeenumOptional
Filter by device type
Allowed values:
filter_active_cargo_idstringOptional
Filter by active cargo ID
filter_active_session_idstringOptional
Filter by active session ID
filter_has_active_sessionbooleanOptional

Filter by whether device has an active session (true = session_id is not null, false = session_id is null)

filter_has_active_cargobooleanOptional

Filter by whether device has an active cargo (true = cargo_id is not null, false = cargo_id is null)

filter_registered_at_timestamp_gtedatetimeOptional

Filter by registered_at_timestamp >= value

filter_registered_at_timestamp_ltedatetimeOptional

Filter by registered_at_timestamp <= value

filter_last_seen_at_timestamp_gtedatetimeOptional

Filter by last_seen_at_timestamp >= value

filter_last_seen_at_timestamp_ltedatetimeOptional

Filter by last_seen_at_timestamp <= value

filter_first_seen_at_timestamp_gtedatetimeOptional

Filter by first_seen_at_timestamp >= value

filter_first_seen_at_timestamp_ltedatetimeOptional

Filter by first_seen_at_timestamp <= value

filter_archivedbooleanOptional
Filter by archived status

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Devices List V1request Unprocessable Entity Error